# 69. Mutation: „Photo“ löschen

Löschen Sie das ausgewählte „Foto“.

{% hint style="info" %}
Sie müssen der Eigentümer sein, um ein Foto zu löschen.
{% endhint %}

Das „Foto“ kann entweder mit „Notiz“ oder „Kommentar“ verknüpft sein. Daher ist es zwingend erforderlich, die Attribute uuid, noteUuid und commentUuid in der Antwort zu überprüfen.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation DeleteNotePhotoSample {
  deletePhoto(input: {
    uuid: "<placeholder_for_photo_uuid>"
    noteUuid: "<placeholder_for_note_uuid>"
  }) {
    uuid
    noteUuid
    url
    Erstellungsdatum
    updatedDate
  }
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation DeleteCommentPhotoSample {
  deletePhoto(input: {
    uuid: "<placeholder_for_photo_uuid>"
    noteUuid: "<placeholder_for_note_uuid>"
    commentUuid: "<placeholder_for_comment_uuid>"
  }) {
    uuid
    noteUuid
    commentUuid
    url
    Erstellungsdatum
    updatedDate
  }
}

```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/de/api-dokumentation/uberblick-uber-geopard-api-anfragen/69.-mutation-photo-loschen.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
